org.eclipse.gef.dot.internal.ui.language.labeling

## Class DotDescriptionLabelProvider

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.viewers.BaseLabelProvider
    - - org.eclipse.jface.viewers.LabelProvider
      - - org.eclipse.xtext.ui.label.AbstractLabelProvider
        - - org.eclipse.xtext.ui.label.DeclarativeLabelProvider
          - - org.eclipse.xtext.ui.label.DefaultDescriptionLabelProvider
            - - org.eclipse.gef.dot.internal.ui.language.labeling.DotDescriptionLabelProvider

All Implemented Interfaces:
  org.eclipse.emf.edit.provider.IItemLabelProvider, DelegatingStyledCellLabelProvider.IStyledLabelProvider, IBaseLabelProvider, ILabelProvider, org.eclipse.xtext.ui.label.ILabelProviderImageDescriptorExtension

    public class DotDescriptionLabelProvider
    extends org.eclipse.xtext.ui.label.DefaultDescriptionLabelProvider

Provides labels for IEObjectDescriptions and IResourceDescriptions. See https://www.eclipse.org/Xtext/documentation/304_ide_concepts.html#label-provider

### Constructor Summary

Constructors
Constructor and Description
`DotDescriptionLabelProvider()`

### Method Summary

### Methods inherited from class org.eclipse.xtext.ui.label.DefaultDescriptionLabelProvider

`getImageForURI, image, image, image, text, text, text`

### Methods inherited from class org.eclipse.xtext.ui.label.DeclarativeLabelProvider

`doGetImage, doGetText, handleImageError, handleTextError, image, image, text, text`

### Methods inherited from class org.eclipse.xtext.ui.label.AbstractLabelProvider

`convertToImage, convertToImageDescriptor, convertToString, convertToStyledString, getDefaultImage, getDefaultStyledText, getDefaultText, getImage, getImageDescriptor, getStyledText, getText, setImageHelper`

### Methods inherited from class org.eclipse.jface.viewers.BaseLabelProvider

`addListener, dispose, fireLabelProviderChanged, isLabelProperty, removeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider

`addListener, dispose, isLabelProperty, removeListener`

### Constructor Detail

#### DotDescriptionLabelProvider

    public DotDescriptionLabelProvider()